Name:    keditbookmarks
Summary: Bookmark organizer and editor
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2 and GPLv3 and GFDL
URL:     https://www.kde.org/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5Bookmarks)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5WindowSystem)

BuildRequires: cmake(Qt5Core)

Conflicts: kde-l10n < 17.03

Requires:      %{name}-libs = %{version}-%{release}

%description
keditbookmarks is a bookmark organizer and editor.


%package libs
Summary:       Runtime libraries for %{name}
Requires:      %{name} = %{version}-%{release}
%description libs
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html --with-man

rm -fv %{buildroot}%{_kf5_libdir}/libkbookmarkmodel_private.so


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop


%files -f %{name}.lang
%license COPYING*
%{_kf5_bindir}/keditbookmarks
%{_kf5_bindir}/kbookmarkmerger
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_datadir}/config.kcfg/keditbookmarks.kcfg
%{_kf5_datadir}/qlogging-categories5/%{name}*
%{_mandir}/man1/kbookmarkmerger.1*


%files libs
%{_kf5_libdir}/libkbookmarkmodel_private.so.*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
